
import sys

from PyQt5 import QtWidgets, QtCore, QtGui      #, uic, QtQml, QtQuick
from PyQt5.QtCore import Qt

from Euclid import iws_defs, iws, DisplayBox

#class rt_slow(object):
###class rt_slow(QtWidgets.QWidget):
class rt_slow(QtWidgets.QFrame):

    #def __init__(self, tabWidget):
    #def __init__(self, mainWindow):
    def __init__(self, parent_frame):
    #def __init__(self):

        super(rt_slow, self).__init__()
        ##self.mainWindow = mainWindow
        #self.tabWidget = mainWindow.ui.tab_rt_slow
        #self.tabWidget = mainWindow.labels_tab_rt_slow
        self.labels = iws.read_parameters(iws_defs.proto3_test_parameter_file)
        #self.labels = iws.read_parameters_as_dictionary(iws_defs.proto3_test_parameter_file)
        self.parameter_labels = []
        self.parameter_values = []
        self.parameters = {}
        
    
    def debug(self):
        for line in self.labels:
            print("label: %s %s %s %s %s\n" % (line[0], line[1], line[2], line[3], line[4]))

    def onClicked(self):
        if self.checkbox.isChecked():
            print("checkbox toggled on")
        else:
            print("checkbox toggled off")
            
# Labels: VIS_CDPU_5V_CPU VDGT2712 VOGY882800 rt_slow
    def setupUi(self):
        print("SET UP UI")
        self.setStyleSheet("background-color:lightblue;")

        self.checkbox = QtWidgets.QCheckBox("Engineering", self)
        #self.checkbox.setText("Engineering")
        self.checkbox.setObjectName("checkbox")
        self.checkbox.setChecked(True)
        self.checkbox.setGeometry(5, 5, 100, 16)
        self.checkbox.toggled.connect(self.onClicked)

        # Make labels
        for x in range(0, 20):
            mib_name = self.labels[x][0]
            print("mib_name: %s" % mib_name)
            mib_id = self.labels[x][1]
            (label_box, value_box) = DisplayBox.make_box(self, x, mib_name)
            print("BOX: %s" % label_box.text)
            self.parameter_labels.append(label_box)
            self.parameter_values.append(value_box)
            #self.parameters[mib_id] = (self.parameter_labels[x], self.parameter_values[x])
            self.parameters[mib_id] = (self.parameter_labels[x], self.parameter_values[x], self.labels[x][4])
            
        self.debug()
